<?xml version="1.0" encoding="shift_jis"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8.00"
	Name="Sample1Cfg"
	ProjectGUID="{D63CC150-5541-42F8-8F9B-2DAB591FBEA9}"
	RootNamespace="Sample1Cfg"
	Keyword="Win32Proj"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
				Description="delete srec and syms"
				CommandLine="if exist $(TargetDir)$(TargetName).map del $(TargetDir)$(TargetName).map&#x0D;&#x0A;if exist $(TargetDir)$(TargetName).srec del $(TargetDir)$(TargetName).srec&#x0D;&#x0A;if exist $(TargetDir)$(TargetName).syms del $(TargetDir)$(TargetName).syms"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\asp;..\asp\include;..\asp\kernel;..\asp\arch;..\asp\target\cq_starm_gcc;..\Sample1"
				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;ALLFUNC;TOPPERS_ENABLE_TRACE"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="2"
				GenerateDebugInformation="true"
				GenerateMapFile="true"
				SubSystem="1"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				Description="output srec and syms"
				CommandLine="wscript ..\tools\MapToSyms.js $(TargetDir)$(TargetName).map $(TargetDir)$(TargetName).syms&#x0D;&#x0A;..\tools\objcopy.exe -O srec -S $(TargetPath) $(TargetDir)$(TargetName).srec"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="1"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
				Description="delete srec and syms"
				CommandLine="if exist $(TargetDir)$(TargetName).map del $(TargetDir)$(TargetName).map&#x0D;&#x0A;if exist $(TargetDir)$(TargetName).srec del $(TargetDir)$(TargetName).srec&#x0D;&#x0A;if exist $(TargetDir)$(TargetName).syms del $(TargetDir)$(TargetName).syms"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalIncludeDirectories="..\asp;..\asp\include;..\asp\kernel;..\asp\arch;..\asp\target\cq_starm_gcc;..\Sample1"
				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;ALLFUNC;TOPPERS_ENABLE_TRACE"
				RuntimeLibrary="2"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				LinkIncremental="1"
				GenerateDebugInformation="true"
				GenerateMapFile="true"
				SubSystem="1"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				Description="output srec and syms"
				CommandLine="wscript ..\tools\MapToSyms.js $(TargetDir)$(TargetName).map $(TargetDir)$(TargetName).syms&#x0D;&#x0A;..\tools\objcopy.exe -O srec -S $(TargetPath) $(TargetDir)$(TargetName).srec"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="ソース ファイル"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath=".\cfg1_out.c"
				>
			</File>
			<File
				RelativePath=".\Sample1Cfg.c"
				>
			</File>
			<File
				RelativePath=".\stdafx.c"
				>
			</File>
		</Filter>
		<Filter
			Name="ヘッダー ファイル"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath=".\stdafx.h"
				>
			</File>
		</Filter>
		<Filter
			Name="リソース ファイル"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
		</Filter>
		<File
			RelativePath="..\Sample1\main.cfg"
			>
			<FileConfiguration
				Name="Debug|Win32"
				>
				<Tool
					Name="VCCustomBuildTool"
					Description="toppers configuration pass 1"
					CommandLine="..\asp\cfg\cfg\cfg.exe --pass 1 --kernel asp --api-table ..\asp\kernel\kernel_api.csv --cfg1-def-table ..\asp\kernel\kernel_def.csv --cfg1-def-table ..\asp\arch\arm_m_msvc\common\core_def.csv --cfg1-def-table ..\asp\target\cq_starm_gcc\target_def.csv -I ..\asp -I ..\asp\arch -I ..\asp\include -I ..\asp\target\cq_starm_gcc $(InputPath)"
					Outputs="cfg1_out.c"
				/>
			</FileConfiguration>
			<FileConfiguration
				Name="Release|Win32"
				>
				<Tool
					Name="VCCustomBuildTool"
					Description="toppers configuration pass 1"
					CommandLine="..\asp\cfg\cfg\cfg.exe --pass 1 --kernel asp --api-table ..\asp\kernel\kernel_api.csv --cfg1-def-table ..\asp\kernel\kernel_def.csv --cfg1-def-table ..\asp\arch\arm_m_msvc\common\core_def.csv --cfg1-def-table ..\asp\target\cq_starm_gcc\target_def.csv -I ..\asp -I ..\asp\arch -I ..\asp\include -I ..\asp\target\cq_starm_gcc $(InputPath)"
					Outputs="cfg1_out.c"
				/>
			</FileConfiguration>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
